tigase.server.xmppclient

## Class StreamManagementIOProcessor.OutQueue

- java.lang.Object
- - tigase.server.xmppclient.StreamManagementIOProcessor.Counter
  - - tigase.server.xmppclient.StreamManagementIOProcessor.OutQueue

- Enclosing class:
    StreamManagementIOProcessor

      public static class StreamManagementIOProcessor.OutQueue
      extends StreamManagementIOProcessor.Counter

  OutQueue class implements queue of outgoing packets waiting for ack with implementation of removing acked elements when id of acked packet is passed

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `StreamManagementIOProcessor.OutQueue.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutQueue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ack(int value)` Confirm delivery of packets up to count passed as value
    `void` | `append(Packet packet)` Append packet to waiting for ack queue
    `protected ArrayDeque<StreamManagementIOProcessor.OutQueue.Entry>` | `getQueue()` Method returns internal queue with packets waiting for ack - use testing only!
    `void` | `setResumptionEnabled(boolean enabled)`
    `int` | `waitingForAck()` Returns size of queue containing packets waiting for ack

    - ### Methods inherited from class tigase.server.xmppclient.StreamManagementIOProcessor.Counter

      `get, inc, setCounter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutQueue

          public OutQueue()

  - ### Method Detail

    - #### append

          public void append(Packet packet)

      Append packet to waiting for ack queue
      Parameters:
        `packet` -

    - #### ack

          public void ack(int value)

      Confirm delivery of packets up to count passed as value
      Parameters:
        `value` -

    - #### setResumptionEnabled

          public void setResumptionEnabled(boolean enabled)

    - #### waitingForAck

          public int waitingForAck()

      Returns size of queue containing packets waiting for ack

    - #### getQueue

          protected ArrayDeque<StreamManagementIOProcessor.OutQueue.Entry> getQueue()

      Method returns internal queue with packets waiting for ack - use testing only!

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.